System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Represents the configuration setting for WS-Reliable Messaging defined in a standard binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Applies the content of a specified binding element to this configuration section.

- Property
  4.0.0.0
  System.ComponentModel.TypeConverter(typeof(System.ComponentModel.TimeSpanConverter))
  System.Configuration.ConfigurationProperty("inactivityTimeout", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.TimeSpan To be added.

  Activity on a channel is defined as receiving an application or infrastructure message. This property controls the maximum amount of time to keep an inactive session alive. If there is a longer time with no activity, the session is terminated by the infrastructure and the channel faults.

  Gets or sets a value that specifies the maximum duration the channel allows the other communicating party not to send any messages before faulting the channel.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("ordered", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether messages are guaranteed to arrive in the order they were sent.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.